whatis(1)

NAME
whatis - display manual page descriptions

SYNOPSIS
whatis [-dhV] [-r|-w ] [-m system[,...]] [-M path] name ...

DESCRIPTION
Each manual page has a short description available within it. whatis searches the manual page names and displays the manual page descriptions of any name matched. name may contain wildcards (-w) or be a regular expression (-r). Using these options, it may be necessary to quote the name or escape (\) the special characters to stop the shell from interpreting them. index databases are used during the search. To produce an old style text whatis database from the relative index database, issue the command: whatis -M manpath -w '*' | sort > manpath/whatis where manpath is a manual page hierarchy such as /usr/man.

OPTIONS

-d, --debug
    Print debugging information.

-r, --regex
    Interpret each name as a regular expression. If a name matches any part of a page name, a match will be made. This option causes whatis to be somewhat slower due to the nature of database searches.

-w, --wildcard
    Interpret each name as a pattern containing shell style wildcards. For a match to be made, an expanded name must match the entire page name. This option causes whatis to be somewhat slower due to the nature of database searches.

-m system [,...], --systems=system [,...]
    If this system has access to other operating system's manual page names, they can be accessed using this option. To search NewOS's manual page names, use the option -m NewOS. The system specified can be a combination of comma delimited operating system names. To include a search of the native operating system's manual page names, include the system name man in the argument string. This option will override the $SYSTEM environment variable.

-M path, --manpath=path
    Specify an alternate set of colon-delimited manual page hierarchies to search. By default, apropos uses the $MANPATH environment variable, unless it is empty or unset, in which case it will determine an appropriate manpath based on your $PATH environment variable. This option overrides the contents of $MANPATH.

-h, --help
    Print a help message and exit.

-V, --version
    Display version and author information.

EXIT STATUS

0   Successful program execution.

1   Usage, syntax or configuration file error.

2   Operational error.

16  No manual pages were found that matched the criteria specified.

ENVIRONMENT

SYSTEM
    If $SYSTEM is set, it will have the same effect as if it had been specified as the argument to the -m option.

MANPATH
    If $MANPATH is set, its value is interpreted as the colon-delimited manual page hierarchy search path to use.

FILES

/usr/share/man/index.(bt|db|dir|pag)
    A traditional global index database cache.

/var/cache/man/index.(bt|db|dir|pag)
    An alternate or FSSTND compliant global index database cache.

/usr/share/man/.../whatis
    A traditional whatis text database.

SEE ALSO
apropos(1), man(1).

AUTHOR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).